%define srcname sebaubuntu_libs

Name:           python-sebaubuntu_libs
Version:        1.5.0
Release:        1%{?dist}
Summary:        SebaUbuntu's shared libs
License:        Apache-2.0
URL:            https://github.com/sebaubuntu-python/sebaubuntu_libs
Source0:        https://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
SebaUbuntu's shared libs

%package -n python3-sebaubuntu_libs
Summary:        SebaUbuntu's shared libs
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-poetry-core
BuildRequires:  python3-gitpython
BuildRequires:  python3-pyelftools
BuildRequires:  python3-setuptools
BuildRequires:  python3

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-sebaubuntu_libs
Sebaubuntu's shared libs

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sebaubuntu_libs

%files -n python3-sebaubuntu_libs -f %{pyproject_files}
